software center displaying 0 reviews when number exceeds 100

Bug #774201 reported by Carlos Osorio on 2011-04-30
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Robert Roth
Natty
Medium
Unassigned

Bug Description

Binary package hint: software-center

The software center list view displays the correct average rating, but it says 0 Ratings. When I click 'more info', I get the correct number, and it's always over 100.

TEST CASE:

1. Open Software Center 4.0.1 and navigate to "Internet" -> "Web Browsers".
2. Note in the displayed list that Chromium is shown to have a low number of ratings (far less than 100).
3. Click "More Info" for Chromium and note that total number of reviews is well over 200 now.
4. Close Software Center.
5. Upgrade to Software Center 4.0.2 in natty-proposed.
6. Open Software Center 4.0.2 and again navigate to "Internet" -> "Web Browsers".
7. Verify that Chromium is now shown in the list as having over 200 ratings.
8. Click "More Info" for Chromium and show that the details view displays the same number of ratings as was shown in the list view.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: software-center 4.0
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sat Apr 30 17:19:58 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Carlos Osorio (carlos-pena) wrote :
Robert Roth (evfool) wrote :

Could you please specify some packages you experience this behavior with, and maybe attach a screenshot? Thank you for your help!

Changed in software-center (Ubuntu):
status: New → Incomplete
Carlos Osorio (carlos-pena) wrote :

It happens with popular packages, such as: Chronium and GIMP.

Robert Roth (evfool) on 2011-05-02
Changed in software-center (Ubuntu):
status: Incomplete → New
Michael Vogt (mvo) on 2011-05-10
Changed in software-center (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
Changed in software-center (Ubuntu Natty):
status: New → In Progress
importance: Undecided → Medium
Changed in software-center (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in software-center (Ubuntu):
assignee: nobody → Robert Roth (evfool)
Gary Lasker (gary-lasker) wrote :

This bug has been fixed in software-center 4.1.2:

software-center (4.1.2) oneiric; urgency=low

  * applied patch from Andrew Higginson to make the border around
    the status bar a bit bigger, many thanks!
  * merged lp:~evfool/software-center/smallfixes, many thanks
    to Robert Roth
  * softwarecenter/apt/apthistory.py:
    - ignore corrupted apthistory.p files

 -- Michael Vogt <email address hidden> Tue, 17 May 2011 17:03:26 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified the fix per the provided test case for Software Center 4.0.2 in natty-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.2

---------------
software-center (4.0.2) natty-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    test/test_unity_launcher_integration.py:
    - fix intermittent crash when installing a local .deb,
      add corresponding test case (LP: #768158)
  * softwarecenter/db/reviews.py,
    test/test_reviews.py:
    - sort reviews using upstream package versions to fix
      incorrect sort by usefulness, update unit test
      (LP: #777583)

  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - fix review-stats loading (LP: #776706)
  * merged lp:~evfool/software-center/qfix774201, many thanks
    to Robert Roth (fixes LP: #774201)
 -- Michael Vogt <email address hidden> Tue, 17 May 2011 16:04:01 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers